#include<stdio.h>
int main()
{
int n,i,j;
/* unosi se ceo broj n>0 */
scanf("%d",&n);
if(n<=0)
 {
  printf("-1\n");
  return -1;
 }
else
 {
  for(i=1;i<=n;i++)
    {
     for(j=1;j<=n-i;j++)
       printf(" ");
     printf("*");
     for(j=1;j<=i-1;j++)
       printf("A*");
     printf("\n");
     }
 return 0;  
 }
}